#ifndef I2C_WRAPPER__
#define I2C_WRAPPER__

#include <stdbool.h>
#include <stdint.h>
#include <string.h>
#include "nrf_drv_twi.h"
#include "nrf_gpio.h"
#include "nrf_delay.h"

#define nRF_PERIPH_MASTER_I2C_SDA           12
#define nRF_PERIPH_MASTER_I2C_SCL           10



typedef struct {
    uint8_t deviceAddr;
    uint8_t registerAddr;
} I2Cbusdevice_t;

bool I2Cbus_init(void);
void twi_clear_bus(nrf_drv_twi_t const *p_instance, nrf_drv_twi_config_t const *p_config);
bool twi_sendCommand(uint8_t ptrDevice, uint8_t registerAddr,  uint8_t registerVal, uint8_t numBytes);
bool twi_readDevice(uint8_t ptrDevice, uint8_t *buffer, uint8_t numBytes, bool continuous);
uint8_t* twi_readContinous(uint8_t ptrDevice, const uint8_t *registerAddr, uint8_t *buffer, uint8_t TXnumBytes, uint8_t RXnumBytes);

#endif
